DMESG(1)

NAZWA
dmesg - wypisuje lub steruje buforem warstwy jądra

SKŁADNIA
dmesg [opcje]

dmesg --clear

dmesg --read-clear [opcje]

dmesg --console-level poziom

dmesg --console-on

dmesg --console-off

OPIS
dmesg służy do sprawdzenia bufora warstwy jądra (kernel ring buffer) lub sterowania nim. Domyślnym działaniem jest odczytanie wszystkich wiadomości z bufora warstwy jądra.

OPCJE
Żadna z opcji --clear, --read-clear, --console-on, --console-off i --console-level nie wystąpić równocześnie.

-C, --clear
    Czyści zawartość bufora.

-c, --read-clear
    Czyści zawartość bufora po wyświetleniu.

-D, --console-off
    Wyłącza wypisywanie wiadomości na konsolę.

-d, --show-delta
    Wyświetla znacznik czas oraz różnicę czasu pomiędzy komunikatami. Jeśli opcja ta jest używana razem z --notime, to wypisywana jest tylko różnica czasu.

-E, --console-on
    Włącza wyświetlanie wiadomości na konsolę.

-f, --facility lista
    Ogranicza wyjście do zdefiniowanej listy (z elementami oddzielonymi przecinkami) zagadnień. Na przykład

      dmesg --facility=daemon

    wypisze wiadomości pochodzące wyłączenie od demonów systemowych. Aby zapoznać się z listą obsługiwanych zagadnień, należy wykonać dmesg --help.

-h, --help
    Wyświetla pomoc i wychodzi.

-k, --kernel
    Wyświetla wiadomości jądra.

-l, --level lista
    Ogranicza wyjście do zdefiniowanej listy (z elementami oddzielonymi przecinkami) poziomów. Na przykład

      dmesg --level=err,warn

    wypisze jedynie błędy i ostrzeżenia. Aby zapoznać się z listą obsługiwanych poziomów, należy wykonać dmesg --help.

-n, --console-level poziom
    Ustawia poziom na którym odbywa się rejestrowanie komunikatów na konsoli. Za poziom należy podstawić numer poziomu lub skróconą nazwę poziomu. Aby zapoznać się z listą obsługiwanych poziomów, należy wykonać dmesg --help.

    Na przykład, -n 1 lub -n alert zapobiega pojawianiu się na konsoli wszelkich komunikatów poza awaryjnymi (panic). Wszystkie poziomy komunikatów są nadal zapisywane do /proc/kmsg, zatem wciąż można posługiwać się syslogd(8) do dokładnej kontroli, gdzie pojawiają się komunikaty jądra. Gdy używana jest opcja -n, to dmesg nie wyświetla ani nie czyści bufora warstwy jądra.

-r, --raw
    Wyświetla surowy bufor wiadomości np. nie przycina przedrostków poziomu dziennika.

-s, --buffer-size rozmiar
    Do odpytania bufora jądra używa bufora o podanej wielkości Domyślnie jest to 16392 (domyślny rozmiar bufora syslog jądra wynosił początkowo 4096, 8192 od wersji 1.3.54 i 16384 od wersji 2.1.113). Jeśli użytkownik ustawił bufor jądra większy od domyślnego, to można posłużyć się tą opcją do przeglądnięcia całego bufora.

-T, --ctime
    Wypisuje znaczniki czasu w formie czytelnej dla człowieka. Mogą one być niedokładne! Źródło czasu używane do dzienników nie jest aktualizowane po uśpieniu/wznowieniu systemu.

-t, --notime
    Nie wypisuje znaczników czasu jądra.

-u, --userspace
    Wypisuje wiadomości z przestrzeni użytkownika.

-V, --version
    Wyświetla informacje o wersji i wychodzi.

-x, --decode
    Dekoduje numer zagadnienia (ang. facility) i poziomu (priorytetu) do przedrostków czytelnych dla człowieka.

ZOBACZ TAKŻE
syslogd(8)

AUTORZY
Karel Zak <kzak@redhat.com>
Theodore Ts'o <tytso@athena.mit.edu>

DOSTĘPNOŚĆ
Polecenie dmesg jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.